curl -X DELETE \
'https://api.appcharge.com/components/v1/offer-design/store-refresh-popup-design' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "68cbf09967ba5ab776c2745e",
"offerUiType": "PopUp",
"offerUiSubType": "StoreRefresh",
"name": "Store Refresh Popup Design",
"externalId": "store-refresh-popup-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"title": {
"text": "Welcome back",
"fontColor": "#FFFFFF",
"fontSize": 20,
"fontWeight": "normal"
}
}
Store Refresh Popups
Delete Store Refresh Popup Design
Deletes a store refresh popup design.
DELETE
/
components
/
v1
/
offer-design
/
{externalId}
curl -X DELETE \
'https://api.appcharge.com/components/v1/offer-design/store-refresh-popup-design' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "68cbf09967ba5ab776c2745e",
"offerUiType": "PopUp",
"offerUiSubType": "StoreRefresh",
"name": "Store Refresh Popup Design",
"externalId": "store-refresh-popup-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"title": {
"text": "Welcome back",
"fontColor": "#FFFFFF",
"fontSize": 20,
"fontWeight": "normal"
}
}
curl -X DELETE \
'https://api.appcharge.com/components/v1/offer-design/store-refresh-popup-design' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "68cbf09967ba5ab776c2745e",
"offerUiType": "PopUp",
"offerUiSubType": "StoreRefresh",
"name": "Store Refresh Popup Design",
"externalId": "store-refresh-popup-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"title": {
"text": "Welcome back",
"fontColor": "#FFFFFF",
"fontSize": 20,
"fontWeight": "normal"
}
}
Authorizations
Publisher token, as displayed in the Publisher Dashboard.
Path Parameters
Design ID that you defined.
Response
Store refresh popup design deleted successfully.
Design ID.
Type of offer design.
Available options:
PopUp Offer design name.
Design ID that you defined.
Background image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.
Show child attributes
Show child attributes
Original background image URL when the design uses an external image URL. This URL is used as provided to serve the image.
Popup design subtype. Use StoreRefresh for store refresh popup designs.
Available options:
StoreRefresh Was this page helpful?
